# SmartDump

SmartDump is a small library that moves records from a Rails Database to Yaml files. This can be used to backup data, create seed data, or hold a dataset for developers to work with.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'smart_dump'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install smart_dump

## Usage

The library adds two Rake tasks to Rails' list.

### `rake db:fixtures:dump[path, included_models, excluded_models]`

The `path` argument is required, which specifies the path in your project as to where the yaml files will be placed. The included and excluded argments take a string of model names separated by a space. They are optional.

### `rake db:fixtures:seed[path]`

Takes only the required `path` argument. This will load the data from the YAML files back into the database.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/smart-care/smart-dump. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the SmartDump project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[smart-care]/smart_dump/blob/master/CODE_OF_CONDUCT.md).
