lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "smart_dump/version"

Gem::Specification.new do |spec|
  spec.name          = "smart_dump"
  spec.version       = SmartDump::VERSION
  spec.authors       = ["Josh Klina"]
  spec.email         = ["joshua.klina@gmail.com"]

  spec.description   = %q{Rake task to dump ActiveRecord tables into yaml fixtures}
  spec.summary       = %q{Rake task to dump ActiveRecord tables into yaml fixtures. Usage: rake db:fixtures:dump}
  spec.homepage      = "https://github.com/jklina/smart_dump"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.required_ruby_version = Gem::Requirement.new('>= 2.0.0')
  spec.add_dependency "rails", ">= 4.0"

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "pg"
  spec.add_development_dependency "pry-rails"
  spec.add_development_dependency "database_cleaner"
end
